import request from "@/utils/request"

/** 草场使用记录 — 分页列表 */
export function listGrasslandUsage(query) {
  return request({
    url: "/dataModel/grasslandUsage/list",
    method: "get",
    params: query
  })
}

/** 详情 */
export function getGrasslandUsage(id) {
  return request({
    url: "/dataModel/grasslandUsage/" + id,
    method: "get"
  })
}

/** 新增 */
export function addGrasslandUsage(data) {
  return request({
    url: "/dataModel/grasslandUsage",
    method: "post",
    data
  })
}

/** 修改 */
export function updateGrasslandUsage(data) {
  return request({
    url: "/dataModel/grasslandUsage",
    method: "put",
    data
  })
}

/** 删除（逻辑删除） */
export function delGrasslandUsage(ids) {
  return request({
    url: "/dataModel/grasslandUsage/" + ids,
    method: "delete"
  })
}
